cancel
Showing results for 
Show  only  | Search instead for 
Did you mean: 
Go to solution
Highlighted

php include/require being escaped on shared economy hosting with cpanel

I'm having trouble using php include / require on my shared hosting cpanel -- the php is being escaped or commented and I've decided to seek council meow..

 

<php include $_SERVER[$DOCUMENT_ROOT].'php/content.php'; />Screenshot from 2018-12-16 16-03-27.pngScreenshot from 2018-12-16 16-03-40.pngScreenshot from 2018-12-16 16-04-26.png

 

 

1 REPLY 1
Community Manager
Community Manager
Solution

Re: php include/require being escaped on shared economy hosting with cpanel

Hi @jcrashkit. Welcome to GoDaddy Community! I'm not a PHP developer, but in researching this issue I came across a few examples that read as $SERVER['DOCUMENT_ROOT'] instead of $DOCUMENT_ROOT. Maybe try that instead?  Feel free to follow up with more information if that doesn't help. Others may be able to offer further suggestions. 

 

JesseW - GoDaddy | Community Manager | 24/7 support available at x.co/247support | Remember to choose a solution and give kudos.